
QGIS Application - Bug report #16984

Multiple projects crashing after update

2017-08-07 11:08 PM - Josh Smith

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.14.17 Regression?: No

Operating System: Windows 7 Pro 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24883

Description

Hello,

I have a client who recently updated QGIS to 2.18 and now multiple project files crash when opening. We fully uninstalled and re-installed

2.14 but the crashing persists. See attached for the resulting error in Event Viewer and for where the project is loading when it crashes. 

Crashes at "Loading layer BRA Site Radius."

Any advice would be appreciated as my client is trying to avoid rebuilding the affected projects.

Thanks.

History

#1 - 2017-08-07 11:10 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

(backup and) delete the .qgis2 folder, then restart qgis and try again. Also try clean the QGIS Windows registry entries.

#2 - 2017-08-07 11:19 PM - Josh Smith

Thanks for the quick reply! Once I can get connected to the PC again, I'll try this and let you know.

#3 - 2017-08-09 04:39 PM - Jürgen Fischer

- Subject changed from Mutliple projects crashing after update to Multiple projects crashing after update

#4 - 2017-08-09 11:31 PM - Josh Smith

I backed up and deleted .qgis2 in the appdata folder. 

Relaunched the program and tried loading one of the projects.

This seems to have no effect. Project is still crashing.

#5 - 2017-08-09 11:37 PM - Josh Smith

"Also try clean the QGIS Windows registry entries."
Were there specific paths? I'd imagine deleting all I can find would effectively uninstall QGIS.

#6 - 2017-08-10 10:47 AM - Giovanni Manghi

Josh Smith wrote:

"Also try clean the QGIS Windows registry entries."

I'd imagine deleting all I can find would effectively uninstall QGIS.

no, it will leave QGIS in a state as if it was installed for the first time on the system.

#7 - 2017-09-25 03:32 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closed for lack of feedback, please reopen if necessary.
